<?php

namespace App\Exports;

use App\Models\VolumeHoraire;
use Illuminate\Support\Facades\Log;

class VolumeHoraireExport extends BaseExport
{
    protected function getExportColumns(): array
    {
        return [
            ['name' => 'id', 'label' => 'ID', 'type' => 'numeric'],
            ['name' => 'libelle', 'label' => 'Libellé', 'type' => 'text'],
            ['name' => 'volume_horaire', 'label' => 'Volume horaire', 'type' => 'numeric'],
            ['name' => 'created_at', 'label' => 'Date de création', 'type' => 'datetime'],
            ['name' => 'updated_at', 'label' => 'Date de mise à jour', 'type' => 'datetime'],
        ];
    }

    protected function getExportTitle(): string
    {
        return 'Volumes Horaires';
    }

    protected function getModelClass()
    {
        return VolumeHoraire::class;
    }
}
